Skip to main content
`Ctrl`+`K`

# MatDenseHIPPlaceArray

Allows one to replace the GPU array in a `MATDENSEHIP` matrix with an array provided by the user. This is useful to avoid copying an array into a matrix.

## Synopsis

    PetscErrorCode MatDenseHIPPlaceArray(Mat mat, const PetscScalar *array)

Not Collective

## Input Parameters

- mat - the matrix

- array - the array in column major order

## Note

Adding `const` to `array` was an oversight, see notes in `VecPlaceArray()`.

You can return to the original array with a call to `MatDenseHIPResetArray()`. The user is responsible for freeing this array; it will not be freed when the matrix is destroyed. The array must have been allocated with `hipMalloc()`.

## See Also

`MATDENSEHIP`, `MatDenseHIPGetArray()`, `MatDenseHIPResetArray()`, `MatDenseHIPReplaceArray()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cpp

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages